org.eclipse.graphiti.mm.pictograms.impl

## Class PictogramsFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.graphiti.mm.pictograms.impl.PictogramsFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, PictogramsFactory

    public class PictogramsFactoryImpl
    extends org.eclipse.emf.ecore.impl.EFactoryImpl
    implements PictogramsFactory

An implementation of the model Factory.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramsFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
Constructor and Description
`PictogramsFactoryImpl()` Creates an instance of the factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`BoxRelativeAnchor` `createBoxRelativeAnchor()`
`ChopboxAnchor` `createChopboxAnchor()`
`CompositeConnection` `createCompositeConnection()`
`Connection` `createConnection()`
`ConnectionDecorator` `createConnectionDecorator()`
`ContainerShape` `createContainerShape()`
`CurvedConnection` `createCurvedConnection()`
`Diagram` `createDiagram()`
`FixPointAnchor` `createFixPointAnchor()`
`FreeFormConnection` `createFreeFormConnection()`
`ManhattanConnection` `createManhattanConnection()`
`PictogramLink` `createPictogramLink()`
`Shape` `createShape()`
`static PictogramsPackage` `getPackage()` Deprecated.
`PictogramsPackage` `getPictogramsPackage()`
`static PictogramsFactory` `init()` Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Constructor Detail

#### PictogramsFactoryImpl

    public PictogramsFactoryImpl()

Creates an instance of the factory.

### Method Detail

#### init

    public static PictogramsFactory init()

Creates the default factory implementation.

#### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createShape

    public Shape createShape()

Specified by:
  `createShape` in interface `PictogramsFactory`
Returns:
  a new object of class 'Shape'.

#### createContainerShape

    public ContainerShape createContainerShape()

Specified by:
  `createContainerShape` in interface `PictogramsFactory`
Returns:
  a new object of class 'Container Shape'.

#### createDiagram

    public Diagram createDiagram()

Specified by:
  `createDiagram` in interface `PictogramsFactory`
Returns:
  a new object of class 'Diagram'.

#### createConnection

    public Connection createConnection()

Specified by:
  `createConnection` in interface `PictogramsFactory`
Returns:
  a new object of class 'Connection'.

#### createFixPointAnchor

    public FixPointAnchor createFixPointAnchor()

Specified by:
  `createFixPointAnchor` in interface `PictogramsFactory`
Returns:
  a new object of class 'Fix Point Anchor'.

#### createBoxRelativeAnchor

    public BoxRelativeAnchor createBoxRelativeAnchor()

Specified by:
  `createBoxRelativeAnchor` in interface `PictogramsFactory`
Returns:
  a new object of class 'Box Relative Anchor'.

#### createChopboxAnchor

    public ChopboxAnchor createChopboxAnchor()

Specified by:
  `createChopboxAnchor` in interface `PictogramsFactory`
Returns:
  a new object of class 'Chopbox Anchor'.

#### createConnectionDecorator

    public ConnectionDecorator createConnectionDecorator()

Specified by:
  `createConnectionDecorator` in interface `PictogramsFactory`
Returns:
  a new object of class 'Connection Decorator'.

#### createFreeFormConnection

    public FreeFormConnection createFreeFormConnection()

Specified by:
  `createFreeFormConnection` in interface `PictogramsFactory`
Returns:
  a new object of class 'Free Form Connection'.

#### createManhattanConnection

    public ManhattanConnection createManhattanConnection()

Specified by:
  `createManhattanConnection` in interface `PictogramsFactory`
Returns:
  a new object of class 'Manhattan Connection'.

#### createPictogramLink

    public PictogramLink createPictogramLink()

Specified by:
  `createPictogramLink` in interface `PictogramsFactory`
Returns:
  a new object of class 'Pictogram Link'.

#### createCurvedConnection

    public CurvedConnection createCurvedConnection()

Specified by:
  `createCurvedConnection` in interface `PictogramsFactory`
Returns:
  a new object of class 'Curved Connection'.

#### createCompositeConnection

    public CompositeConnection createCompositeConnection()

Specified by:
  `createCompositeConnection` in interface `PictogramsFactory`
Returns:
  a new object of class 'Composite Connection'.

#### getPictogramsPackage

    public PictogramsPackage getPictogramsPackage()

Specified by:
  `getPictogramsPackage` in interface `PictogramsFactory`
Returns:
  the package supported by this factory.

#### getPackage

    @Deprecated
    public static PictogramsPackage getPackage()

Deprecated.